---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: hubble-agent
  namespace: cilium-system
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: cilium-agent
  ingress:
    - fromEndpoints:
        - matchLabels:
            app.kubernetes.io/name: hubble-relay
